/**
 * @license
 * Visual Blocks Editor
 *
 * Copyright 2012 Google Inc.
 * https://developers.google.com/blockly/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview Colour blocks for Blockly.
 * @author fraser@google.com (Neil Fraser)
 */
'use strict';

goog.provide('Blockly.Blocks.Thread');

goog.require('Blockly.Blocks');


/**
 * Common HSV hue for all blocks in this category.
 */
Blockly.Blocks.Thread.HUE = "#5cd3db";

Blockly.Blocks['Thread_import'] = {
  /**
   * Block for log setup.
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.Thread.HUE);   
    this.appendDummyInput()
        .appendField(Blockly.Msg.THREAD_IMPORT);
    // this.setInputsInline(false);
    // this.setOutput(true);
    this.setPreviousStatement(true);
    this.setNextStatement(true);
  },
};

Blockly.Blocks['Thread_start_output'] = {
  /**
   * Block for log setup.
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.Thread.HUE); 
    this.appendValueInput("INPUT")
        .appendField(Blockly.Msg.THREAD_THREADING)
    this.appendDummyInput()
        .appendField(Blockly.Msg.THREAD_START)
    this.setInputsInline(true);
    this.setOutput(true);
    // this.setPreviousStatement(true);
    // this.setNextStatement(true);
  },
};


Blockly.Blocks['Thread_start_preNext'] = {
  /**
   * Block for log setup.
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.Thread.HUE); 
    this.appendValueInput("INPUT")
        .appendField(Blockly.Msg.THREAD_THREADING)
    this.appendDummyInput()
        .appendField(Blockly.Msg.THREAD_START)
    this.setInputsInline(true);
    // this.setOutput(true);
    this.setPreviousStatement(true);
    this.setNextStatement(true);
  },
};

Blockly.Blocks['Thread_set_target'] = {
  init: function() {
    this.setColour(Blockly.Blocks.Thread.HUE);
    this.appendValueInput("TARGET")
      .appendField(Blockly.Msg.THREAD_SET_TARGET)
    this.setInputsInline(true);
    this.setOutput(true);
  }
}